Subject: bug#78660: [PATCH] Add context menu for commenting in prog-mode

From: Billy Lei <[email-masked]>
Date: Fri, 6 Jun 2025 15:56:42 +0800

IMO the current way of implementing context menus are not readable 
enough. I've looked the source code of functions like prog-context-menu, 
dired-context-menu, they tends to use `when` to control whether a menu 
is visible, which is more complex. I think we should use :visible to 
replace them to make them more readable.

By the way, before context menu is implemented, users can already see 
the menu bar items by right-click, so IMO displaying all the commands 
should have implemented (if the menu bar has all the commands).